Subject: bug#42776: Obscure documentation of `edebug-form-data' in edebug.el

From: Eli Zaretskii <[email-masked]>
Date: Sat, 26 Dec 2020 11:01:36 +0200

> From: Lars Ingebrigtsen <[email-masked]>
> Date: Wed, 09 Dec 2020 14:37:20 +0100
> Cc: [email-masked]
> 
> Alan Mackenzie <[email-masked]> writes:
> 
> > The doc string of edebug-form-data begins thusly:
> >
> >      "A list of entries associating symbols with buffer regions.
> >       Each entry is an `edebug--form-data' struct with fields:
> >       SYMBOL, BEGIN-MARKER, and END-MARKER.  The markers
> >       are at the beginning and end of an entry level form and SYMBOL is
> >       a symbol that holds all edebug related information for the form on its
> >       property list."
> >
> > The following extract from this is obscure: "...the beginning and end of
> > an entry level form ...."
> >
> > What in heaven or earth is an "entry level form"?  What is it for?
> 
> I'm guessing that's just a typo for "of a form"?

"Of an instrumented form", I guess?  Any reason not to modify the doc
string with that?

> > Less major questions are: What is the nature of the "association" of the
> > symbols with the buffer regions?  Which buffer gets its regions
> > associated?

The buffer in which the instrumented form lives.  IOW, the source code
of the form you instrumented.